
;Symbols 
{
symbol varA = b0
symbol varB = b1
symbol varC = b2
symbol varD = b3
symbol varE = b4
symbol varF = b5
symbol varG = b6
symbol varH = b7
symbol varI = b14
symbol varJ = b15
symbol varK = b16
symbol varL = b17
symbol varM = b18
symbol varN = b19
symbol varO = b20
symbol varP = b21
symbol varQ = b22
symbol varR = b23
symbol varS = b24
symbol varT = b25
symbol timer = time
}


let dirsC = %00000111


main:
label_33:	readtemp C.4,varA
		if varA > 127 then label_41	'Compare command
		serout 1,N2400_4,(254,128," TEMPERATURE    ")
	bintoascii varA,b8,b9,b10
			serout 1,N2400_4,(254,192,"  ",b8,b9,b10," degre     ")
		goto label_33

label_41:
		let varA = varA - 128	'Expression command
		serout 1,N2400_4,(254,128," TEMPERATURE    ")
	bintoascii varA,b8,b9,b10
			serout 1,N2400_4,(254,192," - ",b8,b9,b10," degre    ")
		goto label_33



